# Class Peer

#### Hierarchy

- unknown
  - Peer

- Defined in src/protobuf/pb_pb.d.ts:1805
- Defined in src/protobuf/pb_pb.d.ts:1827

#####
Index

### Constructors

constructor

### Methods

addSupportedCapabilities
clearNodeAddress
clearSupportedCapabilitiesList
getDate
getNodeAddress
getSupportedCapabilitiesList
hasNodeAddress
serializeBinary
setDate
setNodeAddress
setSupportedCapabilitiesList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new Peer(): Peer

- #### Returns Peer

  Inherited from jspb.Message.constructor

## Methods

### addSupportedCapabilities

- addSupportedCapabilities(value: number, index?: number): Peer

- #### Parameters

  - ##### value: number

  - ##### `Optional` index: number

  #### Returns Peer

  - Defined in src/protobuf/pb_pb.d.ts:1817

### clearNodeAddress

- clearNodeAddress(): Peer

- #### Returns Peer

  - Defined in src/protobuf/pb_pb.d.ts:1809

### clearSupportedCapabilitiesList

- clearSupportedCapabilitiesList(): Peer

- #### Returns Peer

  - Defined in src/protobuf/pb_pb.d.ts:1816

### getDate

- getDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:1811

### getNodeAddress

- getNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:1806

### getSupportedCapabilitiesList

- getSupportedCapabilitiesList(): number[]

- #### Returns number[]

  - Defined in src/protobuf/pb_pb.d.ts:1814

### hasNodeAddress

- hasNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1808

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1819

### setDate

- setDate(value: number): Peer

- #### Parameters

  - ##### value: number

  #### Returns Peer

  - Defined in src/protobuf/pb_pb.d.ts:1812

### setNodeAddress

- setNodeAddress(value?: NodeAddress): Peer

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns Peer

  - Defined in src/protobuf/pb_pb.d.ts:1807

### setSupportedCapabilitiesList

- setSupportedCapabilitiesList(value: number[]): Peer

- #### Parameters

  - ##### value: number[]

  #### Returns Peer

  - Defined in src/protobuf/pb_pb.d.ts:1815

### toObject

- toObject(includeInstance?: boolean): Peer.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns Peer.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1820

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): Peer

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Peer

  - Defined in src/protobuf/pb_pb.d.ts:1823

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Peer, reader: BinaryReader): Peer

- #### Parameters

  - ##### message: Peer

  - ##### reader: BinaryReader

  #### Returns Peer

  - Defined in src/protobuf/pb_pb.d.ts:1824

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: Peer, writer: BinaryWriter): void

- #### Parameters

  - ##### message: Peer

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1822

### `Static` toObject

- toObject(includeInstance: boolean, msg: Peer): Peer.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Peer

  #### Returns Peer.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1821

Generated using TypeDoc